sailpoint.object

## Class QueryOptions.Ordering

- java.lang.Object
- - sailpoint.object.QueryOptions.Ordering

Enclosing class:
  QueryOptions

    public static class QueryOptions.Ordering
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Ordering(java.lang.String column, boolean ascending)`
`Ordering(java.lang.String column, boolean ascending, boolean ignoreCase)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getColumn()`
`boolean` `isAscending()`
`boolean` `isIgnoreCase()`
`void` `setAscending(boolean ascending)`
`void` `setColumn(java.lang.String column)`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Ordering

    public Ordering(java.lang.String column,
                    boolean ascending,
                    boolean ignoreCase)

#### Ordering

    public Ordering(java.lang.String column,
                    boolean ascending)

### Method Detail

#### getColumn

    public java.lang.String getColumn()

#### setColumn

    public void setColumn(java.lang.String column)

#### isAscending

    public boolean isAscending()

#### setAscending

    public void setAscending(boolean ascending)

#### isIgnoreCase

    public boolean isIgnoreCase()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`